{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/open_immo_export') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/open_immo_export') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_basic_data', {'buildingUnitId': buildingUnit.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}, Export an Immobilienportale</span>
        {{ form_widget(openImmoExportInitializationForm.apply, {'label': 'ÜBERTRAGUNG STARTEN', 'id': openImmoExportInitializationForm.apply.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 py-3 px-4">
            <h3>Export an Immobilienportale</h3>
            <p class="mb-3">
                Bitte wählen Sie aus den konfigurierten Portalen aus, an welche Sie eine aktuelle Übertragung des Objekts veranlassen wollen.
                Geben Sie außerdem an, ob Sie einen Löschbefehl für das Objekt an das Portal senden möchten oder eine Übertragung des Objektes veranlassen möchten.
            </p>
            <p>
                <strong>Hinweis:</strong> Die Übertragung findet im Hintergrund statt. Außerdem muss die Übertragung auch im Zielportal verarbeitet werden.
                Es kann daher eine Zeit dauern, bis das Objekt veröffentlicht ist.
            </p>
            {{ form_start(openImmoExportInitializationForm, {'attr': {'id': openImmoExportInitializationForm.vars.id ~ '_form'}}) }}
            {% include 'property_vacancy_management/form/building_unit/building_unit_open_immo_export_form.html.twig' with {'form': openImmoExportInitializationForm} only %}
            {{ form_row(openImmoExportInitializationForm._token) }}
            {{ form_end(openImmoExportInitializationForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4 py-3 px-4">
            <h3>Übertragungs-Historie</h3>
            <p>Nachfolgend finden Sie eine Historie der Übertragungen dieses Objekts. Die neusten Aktionen stehen oben.</p>
            {% include 'property_vacancy_management/component/building_unit/building_unit_open_immo_transfer_log_list_component.html.twig' with {
                'idPrefix': 'open_immo_transfer_task_',
                'listItems': openImmoTransferLogs,
                'massOperation': false,
                'pagination': false,
                'sortable': false,
                'noEntriesText': 'Bislang haben keine Übertragungen stattgefunden.'
            } only %}
        </div>
    </div>
{% endblock %}
